Bug 136047 - vsftpd doesn't start
vsftpd doesn't start
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 01:55 EDT by Mike
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 03:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2004-10-17 01:55:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041012

Description of problem:
The /etc/init.d/startup file specifies that command to start up vsftpd
is "/usr/sbin/vsftpd vsftpd &" according to the way the pathname is
parsed in the script.  However, the filename in /etc/vsftpd is named
"vsftpd.conf" not "vsftpd" and it therefore doesn't start properly
when passed as an argument in the script.

Code snippet from from /etc/init.d/vsftpd

        if [ -d /etc/vsftpd ] ; then
                for i in `ls /etc/vsftpd/*.conf`; do
                        site=`basename $i .conf`
                        echo -n $"Starting $prog for $site: "
                        /usr/sbin/vsftpd $i &
                        RETVAL=$?
                        [ $RETVAL -eq 0 ] && {
                           touch /var/lock/subsys/$prog
                           success $"$prog $site"
                        }
                        echo
                done


Version-Release number of selected component (if applicable):
vsftpd-2.0.1-5

How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/vsftpd start
2.ps aux | grep vsftpd
3.
    

Actual Results:  no vsftpd process has started

Expected Results:  a vsftpd process

Additional info:
Comment 1 Radek Vokal 2004-10-18 03:18:24 EDT
This script is correct and uses vsftpd.conf file. I don't see any
problem here.

Note You need to log in before you can comment on or make changes to this bug.